package com.gic.cloud.constants;
/**
 * 功能权限集
 * @ClassName: FunctionEnum 
 * @Description:  
 * @author guojuxing 
 * @date 2020/7/7 4:15 PM 
 */
public enum FunctionEnum {
    RANK_LIST(1, "排行榜"),
    MEMBER_PROFILE(2, "会员概况"),
    RECRUITMENT_ANALYSIS(3, "招募分析"),
    MEMBER_PORTRAIT(4, "会员画像"),
    PERFORMANCE_OVERVIEW(5, "业绩概览"),
    CONSUME_COMPOSITION(6, "消费构成"),
    ITEM_RANK(7, "单品排行"),
    BASIC_PERFORMANCE(8, "基础业绩");

    private int code;
    private String name;

    private FunctionEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public static boolean isRightCode(Integer code) {
        if (code == null) {
            return false;
        }
        for (FunctionEnum functionEnum : values()) {
            if (code.intValue() == functionEnum.getCode()) {
                return true;
            }
        }
        return false;
    }

    public int getCode() {
        return code;
    }

    public FunctionEnum setCode(int code) {
        this.code = code;
        return this;
    }

    public String getName() {
        return name;
    }

    public FunctionEnum setName(String name) {
        this.name = name;
        return this;
    }
}
